//
//  Light.m
//  cardboard
//
//  Created by kunii on 09/07/30.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import "Light.h"
#import <OpenGLES/EAGL.h>
#import <OpenGLES/ES1/gl.h>
#import <OpenGLES/ES1/glext.h>


@implementation Light

/*
	光源設定
*/
-(void)on {
	glMatrixMode(GL_MODELVIEW);								//	カメラ位置はモデルビュー行列に影響を受ける。
	glPushMatrix();											//	一時的に行列を初期化するので、その前の状態を保存
	glLoadIdentity();										//	現在のアフィン行列を、かけても何もおこらない設定にする。
	GLfloat light0pos[4]={0.0f, 5.0f, 10.0f, 1.0f};			//	光源位置
	glLightfv(GL_LIGHT0, GL_POSITION, light0pos);			
	glPopMatrix();											//	保存した行列を復帰。

	GLfloat light0ambient[4]={0.2f, 0.2f, 0.2f, 1.0f};		//	光源周辺光
	GLfloat light0diffuse[4]={0.5f, 0.5f, 0.5f, 1.0f};		//	光源拡散光
	GLfloat light0specular[4]= {0.1f, 0.1f, 0.1f, 1.0f};	//	光源鏡面反射光
	glLightfv(GL_LIGHT0, GL_AMBIENT, light0ambient);
	glLightfv(GL_LIGHT0, GL_DIFFUSE, light0diffuse);
	glLightfv(GL_LIGHT0, GL_SPECULAR, light0specular);
	glEnable(GL_LIGHT0);									//	ライト1を利用
	glEnable(GL_LIGHTING);									//	ライティングをおこなう。
}

@end
